Index: trunk/MagicSoft/Mars/mpedestal/MExtractPedestal.cc
===================================================================
--- trunk/MagicSoft/Mars/mpedestal/MExtractPedestal.cc	(revision 9153)
+++ trunk/MagicSoft/Mars/mpedestal/MExtractPedestal.cc	(revision 9157)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MExtractPedestal.cc,v 1.38 2007-12-19 18:53:02 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MExtractPedestal.cc,v 1.39 2008-11-12 16:04:18 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -491,10 +491,12 @@
         fExtractor->SetNoiseCalculation(fRandomCalculation);
 
-    const Int_t rc = Calc();
+    Calc();
 
     if (fExtractor)
         fExtractor->SetNoiseCalculation(kFALSE);
 
-    return rc;
+    fPedestalsOut->SetNumEvents(fCounter);
+
+    return kTRUE;
 }
 
@@ -624,6 +626,4 @@
 Int_t MExtractPedestal::PostProcess()
 {
-    fPedestalsOut->SetNumEvents(fCounter);
-
     return fExtractor ? fExtractor->CallPostProcess() : kTRUE;
 }
Index: trunk/MagicSoft/Mars/mpedestal/MExtractPedestal.h
===================================================================
--- trunk/MagicSoft/Mars/mpedestal/MExtractPedestal.h	(revision 9153)
+++ trunk/MagicSoft/Mars/mpedestal/MExtractPedestal.h	(revision 9157)
@@ -100,6 +100,6 @@
 
   // Interface to be overwritten by a new class
-  virtual void  ResetArrays();
-  virtual Int_t Calc() = 0;
+  virtual void ResetArrays();
+  virtual void Calc() = 0;
 
   // Helper functions
Index: trunk/MagicSoft/Mars/mpedestal/MPedCalcFromLoGain.cc
===================================================================
--- trunk/MagicSoft/Mars/mpedestal/MPedCalcFromLoGain.cc	(revision 9153)
+++ trunk/MagicSoft/Mars/mpedestal/MPedCalcFromLoGain.cc	(revision 9157)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MPedCalcFromLoGain.cc,v 1.39 2007-12-14 09:56:03 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MPedCalcFromLoGain.cc,v 1.40 2008-11-12 16:04:18 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -199,5 +199,5 @@
 // calculate the overall mean and rms in the PostProcess()
 //
-Int_t MPedCalcFromLoGain::Calc()
+void MPedCalcFromLoGain::Calc()
 {
     const Int_t nhi = fRunHeader->GetNumSamplesHiGain();
@@ -242,6 +242,4 @@
     if (fPedestalUpdate)
         fPedestalsOut->SetReadyToSave();
-
-  return kTRUE;
 }
 
Index: trunk/MagicSoft/Mars/mpedestal/MPedCalcFromLoGain.h
===================================================================
--- trunk/MagicSoft/Mars/mpedestal/MPedCalcFromLoGain.h	(revision 9153)
+++ trunk/MagicSoft/Mars/mpedestal/MPedCalcFromLoGain.h	(revision 9157)
@@ -34,5 +34,5 @@
 
     // MExtractPedestal
-    Int_t  Calc();
+    void   Calc();
 
 public:
Index: trunk/MagicSoft/Mars/mpedestal/MPedCalcPedRun.cc
===================================================================
--- trunk/MagicSoft/Mars/mpedestal/MPedCalcPedRun.cc	(revision 9153)
+++ trunk/MagicSoft/Mars/mpedestal/MPedCalcPedRun.cc	(revision 9157)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MPedCalcPedRun.cc,v 1.53 2008-07-14 19:59:12 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MPedCalcPedRun.cc,v 1.54 2008-11-12 16:04:18 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -256,8 +256,8 @@
 // calculate the overall mean and rms in the PostProcess()
 //
-Int_t MPedCalcPedRun::Calc()
+void MPedCalcPedRun::Calc()
 {
     if (fIsNotPedRun && !IsPedBitSet())
-        return kTRUE;
+        return;
 
     MRawEvtPixelIter pixel(fRawEvt);
@@ -268,6 +268,4 @@
 
     fPedestalsOut->SetReadyToSave();
-
-    return kTRUE;
 }
 
Index: trunk/MagicSoft/Mars/mpedestal/MPedCalcPedRun.h
===================================================================
--- trunk/MagicSoft/Mars/mpedestal/MPedCalcPedRun.h	(revision 9153)
+++ trunk/MagicSoft/Mars/mpedestal/MPedCalcPedRun.h	(revision 9157)
@@ -25,5 +25,5 @@
     Bool_t ReInit(MParList *pList);
     Int_t  PreProcess(MParList *pList);
-    Int_t  Calc();
+    void   Calc();
     Int_t  PostProcess();
 
